# Module cargo_test_support::git

source ·

## Structs

- RepoBuilder
- Repository

## Statics

- INIT 🔒

## Functions

- add
  Add all files in the working directory to the git index.
- add_submodule
  Add a git submodule to the repository.
- cargo_uses_gitoxide
  Returns true if gitoxide is globally activated.
- commit
  Commit changes to the git repository.
- default_repo_cfg 🔒
- default_search_path 🔒
- init
  Initialize a new repository at the given path.
- new
  Create a new git repository with a project.
- new_repo
  Create a new git repository with a project. Returns both the Project and the git Repository.
- repo
  Create a `RepoBuilder` to build a new git repository.
- tag
  Create a new tag in the git repository.